Bug 475014 - incrementing version of nspr/nspr-devel packages breaks on upgrade F9 to F10
incrementing version of nspr/nspr-devel packages breaks on upgrade F9 to F10
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: nspr (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Kai Engert (:kaie)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-06 13:19 EST by Craig White
Modified: 2008-12-21 03:19 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-21 03:19:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Craig White 2008-12-06 13:19:13 EST
Description of problem:


Version-Release number of selected component (if applicable):
nspr-devel-4.7.3-1

How reproducible:
very

Steps to Reproduce:
1. Install F9
2. Upgrade to F10
3. try to upgrade nspr from F9 to F10 packages
  
Actual results:
keeps the F9 packages

Expected results:
updates to F10 packages

Additional info:

I downloaded these packages manually via yumdownloader

# ls -l nspr-*
-rw-r--r-- 1 root root 125009 2008-12-06 10:03 nspr-4.7.3-1.fc10.i386.rpm
-rw-r--r-- 1 root root 115693 2008-12-06 10:03 nspr-devel-4.7.3-1.fc10.i386.rpm

# rpm -Uvh nspr-* Preparing...                ########################################### [100%]
        package nspr-4.7.3-1.1.fc9.i386 (which is newer than nspr-4.7.3-1.fc10.i386) is already installed
        package nspr-devel-4.7.3-1.1.fc9.i386 (which is newer than nspr-devel-4.7.3-1.fc10.i386) is already installed

Obviously, I can remove the F9 packages via --nodeps and install the F10 packages but I think there is an incremental problem that needs to be fixed somewhere/somehow

Also, see Michael Schwendt's comment here...
https://www.redhat.com/archives/fedora-list/2008-December/msg01037.html
about how to increase package release correctly when using the %{?dist} macro
Comment 1 Kai Engert (:kaie) 2008-12-15 22:29:11 EST
I apologize for this inconsistency.

According to 
  http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Using_the_.25.7B.3Fdist.7D_Tag
I should have appended the .1 after the dist tag...

I don't know a release number that could be built for fc9, fixing the problem during upgrade with f10 media. We can't use 1.fc9.1, as it's smaller/older than the already-released 1.1.fc9

Therefore I propose to get rid of the bad release, and at least ensure that things will be fixed the next time an "yum update" gets executed.

I produced updated versions for both f9 and f10:
- nspr-4.7.3-2.fc9.i386
- nspr-4.7.3-2.fc10.i386

rawhide/f11 is already at 4.7.3-3
Comment 2 Fedora Update System 2008-12-15 22:32:54 EST
nspr-4.7.3-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/nspr-4.7.3-2.fc10
Comment 3 Fedora Update System 2008-12-21 03:19:29 EST
nspr-4.7.3-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.